> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 하위 벤더 상세 조회



## OpenAPI

````yaml /steppay_v1.json get /api/v1/vendors/{vendorUuid}/children/{childUuid}
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/vendors/{vendorUuid}/children/{childUuid}:
    get:
      tags:
        - 벤더 API
      summary: 하위 벤더 상세 조회
      operationId: v1_getChildVendor
      parameters:
        - name: vendorUuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: childUuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: 정상적으로 조회됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/VendorDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
        '404':
          description: 벤더를 찾지 못 함
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/VendorDTO'
components:
  schemas:
    VendorDTO:
      required:
        - apps
        - checkFirstActivation
        - currency
        - currencyLock
        - deliveryCharge
        - description
        - firstManagerUuid
        - manager
        - name
        - paymentKey
        - secretKey
        - surveyed
        - useAuth
        - useDormantCustomer
        - useDormantNotification
        - usePayout
        - useStore
        - uuid
        - vendorSettings
        - zoneId
      type: object
      properties:
        id:
          type: integer
          format: int64
        uuid:
          type: string
          format: uuid
        parentUuid:
          type: string
          format: uuid
        firstManagerUuid:
          type: string
          format: uuid
        manager:
          $ref: '#/components/schemas/ManagerDTO'
        realmKeycloakId:
          type: string
          format: uuid
        realmName:
          type: string
        realmEmailAsUsername:
          type: boolean
        name:
          type: string
        description:
          type: string
        featuredImageUrl:
          type: string
        email:
          type: string
        secretKey:
          type: string
        paymentKey:
          type: string
        wordpress:
          $ref: '#/components/schemas/WordpressDTO'
        deliveryCharge:
          $ref: '#/components/schemas/DeliveryChargeResponseDTO'
        vendorSettings:
          $ref: '#/components/schemas/VendorSettingsDTO'
        contactUrl:
          type: string
        checkFirstActivation:
          type: boolean
        checkFailStepbuilder:
          type: string
        surveyed:
          type: boolean
        useDormantCustomer:
          type: boolean
        useDormantNotification:
          type: boolean
        apps:
          type: array
          items:
            $ref: '#/components/schemas/VendorAppDTO'
        useAuth:
          type: boolean
        useStore:
          type: boolean
        usePayout:
          type: boolean
        vendorTerms:
          $ref: '#/components/schemas/VendorTermsDTO'
        zoneId:
          type: string
        currency:
          type: string
        currencyLock:
          type: boolean
    AccountErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ManagerDTO:
      required:
        - createdAt
        - emailVerified
        - enabled
        - nickname
        - username
        - uuid
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        username:
          type: string
        nickname:
          type: string
        phone:
          type: string
        enabled:
          type: boolean
        emailVerified:
          type: boolean
        choo:
          type: string
        createdAt:
          type: string
          format: date-time
    WordpressDTO:
      required:
        - consumerKey
        - consumerSecret
      type: object
      properties:
        consumerKey:
          type: string
        consumerSecret:
          type: string
    DeliveryChargeResponseDTO:
      required:
        - islandAndMountainShipAmount
        - jejuShipAmount
        - useDefaultCourier
        - useDeliveryCharge
        - useLocalShipCharge
      type: object
      properties:
        useDefaultCourier:
          type: boolean
        defaultCourierId:
          type: string
        useDeliveryCharge:
          type: boolean
        deliveryChargeType:
          type: string
          enum:
            - FREE
            - CONDITIONAL_FREE
            - FIXED
        defaultDeliveryCharge:
          type: integer
          format: int64
        freeShipOverAmount:
          type: integer
          format: int64
        useLocalShipCharge:
          type: boolean
        jejuShipAmount:
          type: integer
          format: int64
        islandAndMountainShipAmount:
          type: integer
          format: int64
    VendorSettingsDTO:
      required:
        - notiBeforePayment
        - notiBeforePaymentDays
        - usageAutoRefund
        - vatIncluded
        - vatRate
      type: object
      properties:
        vatIncluded:
          type: boolean
        vatRate:
          type: number
        paymentAmountScale:
          type: integer
          format: int32
        notiBeforePayment:
          type: boolean
        notiBeforePaymentDays:
          type: integer
          format: int32
        notiBeforePaymentTime:
          $ref: '#/components/schemas/LocalTime'
        usageAutoRefund:
          type: boolean
        workspace:
          type: string
        customDomain:
          $ref: '#/components/schemas/VendorCustomDomainDTO'
    VendorAppDTO:
      required:
        - installed
        - priceCode
        - productCode
        - status
      type: object
      properties:
        productCode:
          type: string
        priceCode:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - UNPAID
            - PENDING_PAUSE
            - PAUSE
            - PENDING_CANCEL
            - EXPIRED
            - CANCELED
            - INCOMPLETE
            - QUEUEING
        installed:
          type: boolean
        subscriptionId:
          type: integer
          format: int64
        settings:
          type: string
    VendorTermsDTO:
      required:
        - termsAgree
        - useCheckBox
      type: object
      properties:
        useCheckBox:
          type: boolean
        termsAgree:
          type: array
          items:
            $ref: '#/components/schemas/VendorTermsAgreeDTO'
    ReturnError:
      type: object
    LocalTime:
      type: object
      properties:
        hour:
          type: integer
          format: int32
        minute:
          type: integer
          format: int32
        second:
          type: integer
          format: int32
        nano:
          type: integer
          format: int32
    VendorCustomDomainDTO:
      required:
        - domain
        - status
      type: object
      properties:
        status:
          type: string
          enum:
            - CONNECTED
            - CHECKING
            - DISCONNECTED
        domain:
          type: string
    VendorTermsAgreeDTO:
      required:
        - field
      type: object
      properties:
        title:
          type: string
        order:
          type: integer
          format: int32
        field:
          type: boolean
        content:
          type: string
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````